Skip to content
NEWCollect for MSMEs: UPI Autopay, eNACH & remindersExplore app ↗

List Fee Components

Use this API to fetch fee component codes used in student fee and payment payloads.

GET /api/v1/integrations/erp/fee-components
Terminal window
curl -X GET 'https://[base_url]/api/v1/integrations/erp/fee-components?collector_code=ed3ef2db524f' \
-H 'Content-Type: application/json' \
-H 'Authorization: Basic <token>'
ParameterTypeRequiredDescription
collector_codestringConditionalRequired when the institute is part of a group or has branch-specific configuration.

HTTP 200

{
"status": "success",
"data": [
{
"component_type": "REGISTRATION_FEE",
"name": "Registration Fee"
},
{
"component_type": "COURSE_FEE",
"name": "Course Fee"
}
]
}
AttributeTypeDescription
data[].component_typestringFee component code to send in fee and payment APIs.
data[].namestringFee component display name.